Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class SymbolTable.Entry

    java.lang.Object
      weblogic.apache.xerces.util.SymbolTable.Entry

Enclosing class:
  SymbolTable

protected static final class SymbolTable.Entry
extends Object

This class is a symbol table entry. Each entry acts as a node in a linked list.

Field Summary
`char[]` | `characters` Symbol characters.
`SymbolTable.Entry` | `next` The next entry.
`String` | `symbol` Symbol.

Constructor Summary
`SymbolTable.Entry(char[] ch, int offset, int length, SymbolTable.Entry next)` Constructs a new entry from the specified symbol information and next entry reference.
`SymbolTable.Entry(String symbol, SymbolTable.Entry next)` Constructs a new entry from the specified symbol and next entry reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### characters

    public char[] characters

  Symbol characters. This information is duplicated here for comparison performance.

### next

    public SymbolTable.Entry next

  The next entry.

### symbol

    public String symbol

  Symbol.

Constructor Detail

### SymbolTable.Entry

    public SymbolTable.Entry(char[] ch,
                             int offset,
                             int length,
                             SymbolTable.Entry next)

  Constructs a new entry from the specified symbol information and next entry reference.

### SymbolTable.Entry

    public SymbolTable.Entry(String symbol,
                             SymbolTable.Entry next)

  Constructs a new entry from the specified symbol and next entry reference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD